%define realname venkman

%define name nvu-%realname
%define version 0.9.84
%define release 4mdk
%define nvu_version	0.81
%define nvulibdir %{_libdir}/nvu-%{nvu_version}

Summary: Venkman extension for Nvu 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: venkman-0.9.84-nvu.xpi
License: MPL/LGPL/GPL
Group: Development/Other
Url: http://glazman.org/nvu/releases/extensions/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
PreReq: nvu = %{nvu_version}
Requires: nvu = %{nvu_version}

%description
Venkman JavaScript Debugger extension for Nvu

%prep
%setup -q -c

%build

%install
rm -rf %buildroot

mkdir -p %buildroot%{nvulibdir}/chrome/
mkdir -p %buildroot%{nvulibdir}/components/

cp chrome/%realname.jar %buildroot%{nvulibdir}/chrome/
cp components/%realname-service.js %buildroot%{nvulibdir}/components/

# installed-chrome.txt addition
# if this is correct, I'm lucky !
mkdir -p %buildroot%{nvulibdir}/chrome/rc.d/
cat << EOF > %buildroot%{nvulibdir}/chrome/rc.d/9_%name.txt
content,install,url,jar:resource:/chrome/%{realname}.jar!/content/%{realname}/
locale,install,url,jar:resource:/chrome/%{realname}.jar!/locale/en-US/%{realname}/
skin,install,url,jar:resource:/chrome/%{realname}.jar!/skin/modern/%{realname}/
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root)
%nvulibdir/chrome/%realname.jar
%nvulibdir/components/%realname-service.js

%nvulibdir/chrome/rc.d/9_%name.txt

%post -p %{nvulibdir}/mozilla-rebuild-databases.pl

%postun -p %{nvulibdir}/mozilla-rebuild-databases.pl

%changelog
* Sun Feb 20 2005 Stefan van der Eijk <stefan@eijk.nu> 0.9.84-4mdk
- fix bug #6574

* Wed Feb 09 2005 Couriousous <couriousous@mandrake.org> 0.9.84-3mdk
- Rebuild for nvu-0.81

* Wed Feb 02 2005 Couriousous <couriousous@mandrake.org> 0.9.84-2mdk
- Rebuild for nvu-0.80

* Wed Jan 05 2005 Couriousous <couriousous@mandrake.org> 0.9.84-1mdk
- First Mandrakelinux release
- Heavly based on mozilla-firefox-fr spec

